=== debian/changelog ===
harp (1.5+data-3) unstable; urgency=medium

  * Fix broken symlink. Closes: #924194

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Mar 2019 09:45:29 +0000

harp (1.5+data-2) unstable; urgency=medium

  * B-D on libcoda-dev >= 2.20-2. Closes: #919823

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 13:50:49 +0000

harp (1.5+data-1) unstable; urgency=medium

  * Initial release. (Closes: #888683)
    This tarball takes the release from github, with some data files from the
    github submodules placed in definitions/* as needed for autoconf to work.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jan 2019 13:39:50 +0000
