=== debian/control ===
Source: harp
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 11), 
 libjs-jquery, libjs-mathjax, libjs-underscore,
 dh-buildinfo, 
 bison,
 zip,
 dh-python,
 python3-all,
 python3-numpy,
 libcoda-dev (>= 2.20-2),
 libnetcdf-dev, netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev, 
 libaec-dev,
 libjpeg-dev,
 zlib1g-dev,
 libhdf4-alt-dev,
 libexpat1-dev,
 libudunits2-dev,
 flex,
 sphinx-doc,
 doxygen
Standards-Version: 4.3.0
Homepage: https://github.com/stcorp/harp
Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
Vcs-Git: https://salsa.debian.org:/science-team/harp.git

Package: harp
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libharp9 ( = ${binary:Version}), libudunits2-data
Recommends: python3-harp
Description: Data harmonization toolset for Earth Observation formats
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package provides the HARP binary utilities.

Package: libharp9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
Multi-Arch: same
Description: Data harmonisation toolset for Earth Observation formats
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package provides the HARP shared library.

Package: libharp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libharp9 (= ${binary:Version}),
 libjs-jquery, libjs-mathjax, libjs-underscore, 
 fonts-roboto-slab, fonts-lato
Description: Data harmonisation toolset for Earth Observation formats
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package provides static libs and development files for HARP.


Package: python3-harp
Architecture: any
Section: python
Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp9 ( = ${binary:Version})
Provides: ${python:Provides}
Description: Python3 interface for the HARP data harmonisation toolset
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package contains Python3 wrappers for the HARP toolset.
