## harp 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 project(HARP)
 
-set(VERSION 1.5)
+set(VERSION 1.7)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 9)
+set(LIBHARP_CURRENT 10)
 set(LIBHARP_REVISION 1)
 set(LIBHARP_AGE 0)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
@@ -303,6 +303,7 @@
   libharp/harp-ingest-geoms-mwr.c
   libharp/harp-ingest-geoms-pandora.c
   libharp/harp-ingest-geoms-sonde.c
+  libharp/harp-ingest-geoms-tccon.c
   libharp/harp-ingest-geoms-uvvis-doas.c
   libharp/harp-ingest-geoms-uvvis-dobson.c
   libharp/harp-ingest-gome_l1.c
@@ -350,5 +351,3 @@
   libharp/harp-program.c
   libharp/harp-sea-surface.c
   libharp/harp-regrid.c
-  libharp/harp-units.c
-  libharp/harp-utils.c
