=== debian/changelog ===
harp (1.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Aug 2019 15:09:46 +0100

harp (1.7-1) unstable; urgency=medium

  * New upstream release
  * libharp9 -> libharp10 transition
  * Use debhelper version 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Jun 2019 13:39:23 +0100
