## harp 1.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.7)
+set(VERSION 1.9.2)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 10)
-set(LIBHARP_REVISION 1)
+set(LIBHARP_REVISION 5)
 set(LIBHARP_AGE 0)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -48,6 +48,7 @@
 option(HARP_BUILD_IDL "build IDL interface" OFF)
 option(HARP_BUILD_MATLAB "build MATLAB interface" OFF)
 option(HARP_BUILD_PYTHON "build Python interface" OFF)
+option(HARP_BUILD_R "build R interface" OFF)
 option(HARP_WITH_HDF4 "use HDF4" ON)
 option(HARP_WITH_HDF5 "use HDF5" ON)
 option(HARP_ENABLE_CONDA_INSTALL OFF)
@@ -81,6 +82,7 @@
 set(INCLUDE_PREFIX include)
 set(DOC_PREFIX share/harp/doc)
 set(PYTHON_PREFIX ${HARP_PYTHON_INSTALL_DIR}/harp)
+set(R_PREFIX lib/R/site-library/harp)
 set(MATLAB_PREFIX lib/harp/matlab)
 set(IDL_PREFIX lib/harp/idl)
 set(CODADEF_PREFIX share/coda/definitions)
@@ -88,7 +90,7 @@
 if(WIN32)
   # we use a different installation directory structure on Windows
   if(HARP_ENABLE_CONDA_INSTALL)
-    # all non-python components need to be installed in a Library sub-directory for Conda on Windows
+    # all non-python/non-R components need to be installed in a Library sub-directory for Conda on Windows
     set(BIN_PREFIX Library/bin)
     set(LIB_PREFIX Library/lib)
     set(INCLUDE_PREFIX Library/include)
@@ -100,6 +102,7 @@
   else(CODA_ENABLE_CONDA_INSTALL)
     set(DOC_PREFIX doc)
     set(PYTHON_PREFIX python/harp)
+    set(R_PREFIX R/harp)
   endif(HARP_ENABLE_CONDA_INSTALL)
 endif(WIN32)
 
@@ -207,6 +210,14 @@
     include_directories(${HDF5_INCLUDE_DIR})
   endif(NOT HDF5_FOUND)
 endif(HARP_WITH_HDF5)
+
+if(HARP_BUILD_R)
+  find_package(R)
+  if(NOT R_FOUND)
+    message(FATAL_ERROR "R installation not found.")
+  endif(NOT R_FOUND)
+  include_directories(${R_INCLUDE_DIR})
+endif()
 
 # We allow HARP to be build as part of a larger CMake build that also includes
 # CODA. It this is the case then CODA_SOURCE_DIR and CODA_BINARY_DIR will
@@ -340,14 +351,3 @@
   libharp/harp-ingestion-doc.c
   libharp/harp-ingestion-module.c
   libharp/harp-ingestion-options.c
-  libharp/harp-internal.h
-  libharp/harp-interpolation.c
-  libharp/harp-netcdf.c
-  libharp/harp-operation.h
-  libharp/harp-operation.c
-  libharp/harp-product.c
-  libharp/harp-product-metadata.c
-  libharp/harp-program.h
-  libharp/harp-program.c
-  libharp/harp-sea-surface.c
-  libharp/harp-regrid.c
