=== debian/changelog ===
harp (1.9.2-1build1) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:01:28 +0100

harp (1.9.2-1) unstable; urgency=medium

  * New upstream release
  * Library minor version now 10.0.5

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Dec 2019 09:01:51 +0000

harp (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Update patch to use libharp.so.10
  * Library minor version now 10.0.4

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Nov 2019 14:57:08 +0000

harp (1.9-1) unstable; urgency=medium

  * New upstream release
    - library minor version now 10.0.3
  * Add d/gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Oct 2019 11:44:14 +0100
