=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= libharp-dev.links libharp9.links 
+AUTOGENERATED:= libharp-dev.links libharp10.links 
 
 # For the moment, serial hdf5 only
 WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
