## harp 1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.9.2)
+set(VERSION 1.11)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 10)
-set(LIBHARP_REVISION 5)
+set(LIBHARP_CURRENT 11)
+set(LIBHARP_REVISION 0)
 set(LIBHARP_AGE 0)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -351,3 +351,4 @@
   libharp/harp-ingestion-doc.c
   libharp/harp-ingestion-module.c
   libharp/harp-ingestion-options.c
+  libharp/harp-internal.h
