=== debian/changelog ===
harp (1.11-1) unstable; urgency=medium

  * New upstream release
  * Library has changed major version, and so pkg name to libharp11

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 May 2020 17:34:28 +0100

harp (1.10-1) unstable; urgency=medium

  * New upstream release
  * Library minor version now 10.0.6
  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 rather than --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Apr 2020 15:31:16 +0100
