=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 12), 
+ dh-sequence-python3,
  libjs-jquery, libjs-mathjax, libjs-underscore,
  dh-buildinfo, 
  bison,
  zip,
- dh-python,
  python3-all,
  python3-numpy,
  libcoda-dev (>= 2.20-2),
@@ -23,7 +23,7 @@
  flex,
  sphinx-doc,
  doxygen
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git
@@ -31,7 +31,7 @@
 Package: harp
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharp10 ( = ${binary:Version}), libudunits2-data
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharp11 ( = ${binary:Version}), libudunits2-data
 Recommends: python3-harp
 Description: Data harmonization toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -46,7 +46,7 @@
  .
  This package provides the HARP binary utilities.
 
-Package: libharp10
+Package: libharp11
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
@@ -68,7 +68,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libharp10 (= ${binary:Version}),
+Depends: ${misc:Depends}, libharp11 (= ${binary:Version}),
  libjs-jquery, libjs-mathjax, libjs-underscore, 
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
@@ -88,7 +88,7 @@
 Package: python3-harp
 Architecture: any
 Section: python
-Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp10 ( = ${binary:Version})
+Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp11 ( = ${binary:Version})
 Provides: ${python:Provides}
 Description: Python3 interface for the HARP data harmonisation toolset
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
