=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 # The magic debhelper  rule
 %:
-	dh $@  --with python3
+	dh $@ 
 
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= libharp-dev.links libharp10.links 
+AUTOGENERATED:= libharp-dev.links libharp11.links 
 
 # For the moment, serial hdf5 only
 WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
