=== debian/changelog ===
harp (1.12-1) unstable; urgency=medium

  * New upstream release
  * Library has changed major version, and so pkg name to libharp12
  * Move to debhelper level 13
  * Use dh13 subst. vars rather than autogenerated files
  * Point Vcs-Git to debian/latest branch for DEP-14
  * Change d/gbp.conf to point to DEP-14 branches

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Nov 2020 11:38:49 +0000
