## harp 1.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 
 project(HARP)
 
-set(VERSION 1.12)
+set(VERSION 1.13)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 12)
+set(LIBHARP_CURRENT 13)
 set(LIBHARP_REVISION 0)
-set(LIBHARP_AGE 0)
+set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
