=== doc/requirements.txt ===
alabaster==0.7.12
Babel==2.9.0
breathe==4.25.1
certifi==2020.12.5
chardet==4.0.0
docutils==0.16
idna==2.10
imagesize==1.2.0
Jinja2==2.11.2
livereload==2.6.3
MarkupSafe==1.1.1
packaging==20.8
Pygments==2.7.3
pyparsing==2.4.7
pytz==2020.5
requests==2.25.1
six==1.15.0
snowballstemmer==2.0.0
Sphinx==3.3.1
sphinx-autobuild==2020.9.1
sphinx-rtd-theme==0.5.1
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
tornado==6.1
urllib3==1.26.2
