=== debian/changelog ===
harp (1.13-1) unstable; urgency=medium

  * New upstream release
  * Add B-D on python3-breathe, sphinx-rtd-theme-common for sphinx docs
  * Standards-Version: 4.5.1
  * Add libjs-sphinxdoc dependency to libharp-dev, don't ship js

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Mar 2021 13:22:38 +0000
