=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  zip,
  python3-all,
  python3-numpy,
+ python3-breathe,
  libcoda-dev (>= 2.20-2),
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, 
@@ -22,8 +23,9 @@
  libudunits2-dev,
  flex,
  sphinx-doc,
+ python3-sphinx-rtd-theme,
  doxygen
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest
@@ -69,7 +71,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libharp12 (= ${binary:Version}),
- libjs-jquery, libjs-mathjax, libjs-underscore, 
+ libjs-jquery, libjs-mathjax, libjs-underscore, libjs-sphinxdoc,
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
