## harp 1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.13)
+set(VERSION 1.14)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 0)
+set(LIBHARP_REVISION 1)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -125,8 +125,8 @@
 find_include(dlfcn.h HAVE_DLFCN_H)
 find_include(inttypes.h HAVE_INTTYPES_H)
 find_include(limits.h HAVE_LIMITS_H)
-find_include(memory.h HAVE_MEMORY_H)
 find_include(stdarg.h HAVE_STDARG_H)
+find_include(stdio.h HAVE_STDIO_H)
 find_include(stdint.h HAVE_STDINT_H)
 find_include(stdlib.h HAVE_STDLIB_H)
 find_include(string.h HAVE_STRING_H)
@@ -308,6 +308,7 @@
   libharp/harp-ingest-cci_l4_o3_np.c
   libharp/harp-ingest-cloudnet_l2.c
   libharp/harp-ingest-earlinet_l2.c
+  libharp/harp-ingest-earthcare_l2.c
   libharp/harp-ingest-ecmwf-grib.c
   libharp/harp-ingest-geoms-ftir.c
   libharp/harp-ingest-geoms-lidar.c
@@ -350,5 +351,3 @@
   libharp/harp-ingestion.c
   libharp/harp-ingestion-doc.c
   libharp/harp-ingestion-module.c
-  libharp/harp-ingestion-options.c
-  libharp/harp-internal.h
