=== doc/requirements.txt ===
--- 
+++ 
@@ -6,11 +6,11 @@
 docutils==0.16
 idna==2.10
 imagesize==1.2.0
-Jinja2==2.11.2
+Jinja2==2.11.3
 livereload==2.6.3
 MarkupSafe==1.1.1
 packaging==20.8
-Pygments==2.7.3
+Pygments==2.7.4
 pyparsing==2.4.7
 pytz==2020.5
 requests==2.25.1
@@ -26,4 +26,4 @@
 sphinxcontrib-qthelp==1.0.3
 sphinxcontrib-serializinghtml==1.1.4
 tornado==6.1
-urllib3==1.26.2
+urllib3==1.26.5
