=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  sphinx-doc,
  python3-sphinx-rtd-theme,
  doxygen
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest
