=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,17 @@
 		UDUNITS2LIBS=-ludunits2 \
 		PYTHON=python3
 
+override_dh_auto_build:
+	# rebuild docs with mathjax etc privac fix. Note it will return non-zero because of warnings
+	-($(MAKE) doc || true)
+	dh_auto_build
+
 override_dh_auto_install:
 	dh_auto_install
 	find debian -name '*.la' -delete
 	rm debian/tmp/usr/share/harp/doc/html/_static/jquery*
 	rm debian/tmp/usr/share/harp/doc/html/_static/underscore*
+	rm debian/tmp/usr/share/harp/doc/html/_static/doctools.js
+	rm debian/tmp/usr/share/harp/doc/html/_static/language_data.js
+	rm debian/tmp/usr/share/harp/doc/html/_static/searchtools.js
 	rm -rf debian/tmp/usr/share/harp/doc/html/_static/fonts
