## harp 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 if(POLICY CMP0075)
   cmake_policy(SET CMP0075 NEW)
 endif()
 
 project(HARP)
 
-set(VERSION 1.14)
+set(VERSION 1.15.1)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 1)
+set(LIBHARP_REVISION 3)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -316,6 +316,7 @@
   libharp/harp-ingest-geoms-pandora.c
   libharp/harp-ingest-geoms-sonde.c
   libharp/harp-ingest-geoms-tccon.c
+  libharp/harp-ingest-geoms-uvvis-brewer.c
   libharp/harp-ingest-geoms-uvvis-doas.c
   libharp/harp-ingest-geoms-uvvis-dobson.c
   libharp/harp-ingest-gome_l1.c
@@ -350,4 +351,3 @@
   libharp/harp-ingestion.h
   libharp/harp-ingestion.c
   libharp/harp-ingestion-doc.c
-  libharp/harp-ingestion-module.c
