=== debian/changelog ===
harp (1.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 May 2022 11:16:58 +0100

harp (1.15-2) unstable; urgency=medium

  * Add initial bash-completions

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2022 09:31:24 +0100

harp (1.15-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Mar 2022 16:22:50 +0000
