## harp 1.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.15.1)
+set(VERSION 1.16)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 3)
+set(LIBHARP_REVISION 4)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -337,6 +337,9 @@
   libharp/harp-ingest-npp-suomi-omps_profiles_l2.c
   libharp/harp-ingest-npp-suomi-omps_totals_l2.c
   libharp/harp-ingest-npp-suomi-viirs_l2.c
+  libharp/harp-ingest-oco-l3co2.c
+  libharp/harp-ingest-oco-ltco2.c
+  libharp/harp-ingest-oco-ltsif.c
   libharp/harp-ingest-omi_l2.c
   libharp/harp-ingest-omi_l3.c
   libharp/harp-ingest-osiris_l2.c
@@ -347,7 +350,3 @@
   libharp/harp-ingest-s5p_l2.c
   libharp/harp-ingest-smr_l2.c
   libharp/harp-ingest-temis.c
-  libharp/harp-ingest-tes_l2.c
-  libharp/harp-ingestion.h
-  libharp/harp-ingestion.c
-  libharp/harp-ingestion-doc.c
