## harp 1.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.16)
+set(VERSION 1.19)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 4)
+set(LIBHARP_CURRENT 14)
+set(LIBHARP_REVISION 6)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -23,6 +23,7 @@
 
 
 # General setup
+set(CMAKE_INSTALL_DEFAULT_COMPONENT_NAME core)
 set(CMAKE_MODULE_PATH
   ${HARP_SOURCE_DIR}/CMakeModules
   ${CMAKE_MODULE_PATH}
@@ -306,8 +307,8 @@
   libharp/harp-ingest-cci_l3_o3_tc.c
   libharp/harp-ingest-cci_l3_o3_ttoc.c
   libharp/harp-ingest-cci_l4_o3_np.c
-  libharp/harp-ingest-cloudnet_l2.c
-  libharp/harp-ingest-earlinet_l2.c
+  libharp/harp-ingest-cloudnet.c
+  libharp/harp-ingest-earlinet.c
   libharp/harp-ingest-earthcare_l2.c
   libharp/harp-ingest-ecmwf-grib.c
   libharp/harp-ingest-geoms-ftir.c
@@ -343,10 +344,9 @@
   libharp/harp-ingest-omi_l2.c
   libharp/harp-ingest-omi_l3.c
   libharp/harp-ingest-osiris_l2.c
+  libharp/harp-ingest-pal_s5p_l2.c
   libharp/harp-ingest-qa4ecv.c
   libharp/harp-ingest-sciamachy_l1.c
   libharp/harp-ingest-sciamachy_l2.c
   libharp/harp-ingest-s5p_l1b.c
   libharp/harp-ingest-s5p_l2.c
-  libharp/harp-ingest-smr_l2.c
-  libharp/harp-ingest-temis.c
