=== debian/changelog ===
harp (1.19-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2023 18:00:35 +0100

harp (1.18-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Jun 2023 11:03:19 +0100

harp (1.17-2) unstable; urgency=medium

  * Push to unstable
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 11:07:45 +0100

harp (1.17-1) experimental; urgency=medium

  * New upstream release
  * Change lib soname: libharp12->libharp13

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Dec 2022 11:04:40 +0000

harp (1.15.1-2) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Fix broken Vcs URL.
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Section on binary package harp that duplicates source.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 23 Nov 2022 13:53:37 -0000
