=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 13), 
+Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  libjs-jquery, libjs-mathjax, libjs-underscore,
- dh-buildinfo, 
+ dh-buildinfo,
  bison,
  zip,
  python3-all,
@@ -14,7 +14,7 @@
  python3-breathe,
  libcoda-dev (>= 2.20-2),
  libnetcdf-dev, netcdf-bin,
- libhdf5-dev | libhdf5-serial-dev, 
+ libhdf5-dev | libhdf5-serial-dev,
  libaec-dev,
  libjpeg-dev,
  zlib1g-dev,
@@ -25,15 +25,14 @@
  sphinx-doc,
  python3-sphinx-rtd-theme,
  doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
-Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/science-team/harp.git -b debian/latest
 
 Package: harp
-Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharp12 ( = ${binary:Version}), libudunits2-data
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharp13 ( = ${binary:Version}), libudunits2-data
 Recommends: python3-harp
 Description: Data harmonization toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -48,7 +47,7 @@
  .
  This package provides the HARP binary utilities.
 
-Package: libharp12
+Package: libharp13
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
@@ -70,7 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libharp12 (= ${binary:Version}),
+Depends: ${misc:Depends}, libharp13 (= ${binary:Version}),
  libjs-jquery, libjs-mathjax, libjs-underscore, libjs-sphinxdoc,
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
@@ -90,7 +89,7 @@
 Package: python3-harp
 Architecture: any
 Section: python
-Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp12 ( = ${binary:Version})
+Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp13 ( = ${binary:Version})
 Provides: ${python:Provides}
 Description: Python3 interface for the HARP data harmonisation toolset
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -104,4 +103,3 @@
  physical units.
  .
  This package contains Python3 wrappers for the HARP toolset.
-
